import 'package:flutter/material.dart';
import 'package:vivanta_connect_flutter/styles/colors.dart';

class ErrorScreen extends StatelessWidget {
  final String message;

  const ErrorScreen({Key? key, required this.message}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        const Padding(
          padding: EdgeInsets.symmetric(horizontal: 48),
          child: Center(
            child: Icon(
              Icons.error,
              color: VivantaColors.error2,
              size: 54,
            ),
          ),
        ),
        const SizedBox(
          height: 24,
        ),
        Padding(
          padding: const EdgeInsets.symmetric(horizontal: 48),
          child: Text(
            message,
            textAlign: TextAlign.center,
            style: const TextStyle(
              fontSize: 20,
              color: VivantaColors.error2,
              fontWeight: FontWeight.w500,
            ),
          ),
        ),
      ],
    );
  }
}
